src/fvm/fvm_writer_helper.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
fvm_writer_helper.h File Reference
`#include "cs_defs.h"`
`#include "fvm_defs.h"`
`#include "fvm_gather.h"`
`#include "fvm_nodal.h"`
`#include "fvm_writer.h"`
Include dependency graph for fvm_writer_helper.h:

Go to the source code of this file.

## Data Structures
struct | fvm_writer_section_t

## Functions
fvm_writer_section_t * | fvm_writer_export_list (const fvm_nodal_t *mesh, int min_export_dim, _Bool group_same_type, _Bool discard_polygons, _Bool discard_polyhedra, _Bool divide_polygons, _Bool divide_polyhedra)
fvm_writer_field_helper_t * | fvm_writer_field_helper_create (const fvm_nodal_t *mesh, const fvm_writer_section_t *section_list, int field_dim, cs_interlace_t interlace, cs_datatype_t datatype, fvm_writer_var_loc_t location)
fvm_writer_field_helper_t * | fvm_writer_field_helper_destroy (fvm_writer_field_helper_t *helper)
void | fvm_writer_field_helper_get_size (const fvm_writer_field_helper_t *helper, size_t *input_size, size_t *output_size, size_t *max_grouped_elements_out, size_t *min_output_buffer_size)
int | fvm_writer_field_helper_field_dim (const fvm_writer_field_helper_t *helper)
cs_datatype_t | fvm_writer_field_helper_datatype (const fvm_writer_field_helper_t *helper)
int | fvm_writer_field_helper_step_e (fvm_writer_field_helper_t *helper, const fvm_writer_section_t *export_section, int src_dim, int src_dim_shift, cs_interlace_t src_interlace, int n_parent_lists, const cs_lnum_t parent_num_shift[], cs_datatype_t datatype, const void *const field_values[], void *output_buffer, size_t output_buffer_size, size_t *output_size)
int | fvm_writer_field_helper_step_n (fvm_writer_field_helper_t *helper, const fvm_nodal_t *mesh, int src_dim, int src_dim_shift, cs_interlace_t src_interlace, int n_parent_lists, const cs_lnum_t parent_num_shift[], cs_datatype_t datatype, const void *const field_values[], void *output_buffer, size_t output_buffer_size, size_t *output_size)

## Function Documentation

fvm_writer_section_t* fvm_writer_export_list | ( | const fvm_nodal_t * | mesh,
|  | int | min_export_dim,
|  | _Bool | group_same_type,
|  | _Bool | discard_polygons,
|  | _Bool | discard_polyhedra,
|  | _Bool | divide_polygons,
|  | _Bool | divide_polyhedra
| ) |  |

fvm_writer_field_helper_t* fvm_writer_field_helper_create | ( | const fvm_nodal_t * | mesh,
|  | const fvm_writer_section_t * | section_list,
|  | int | field_dim,
|  | cs_interlace_t | interlace,
|  | cs_datatype_t | datatype,
|  | fvm_writer_var_loc_t | location
| ) |  |

cs_datatype_t fvm_writer_field_helper_datatype | ( | const fvm_writer_field_helper_t * | helper | ) |

fvm_writer_field_helper_t* fvm_writer_field_helper_destroy | ( | fvm_writer_field_helper_t * | helper | ) |

int fvm_writer_field_helper_field_dim | ( | const fvm_writer_field_helper_t * | helper | ) |

void fvm_writer_field_helper_get_size | ( | const fvm_writer_field_helper_t * | helper,
|  | size_t * | input_size,
|  | size_t * | output_size,
|  | size_t * | max_grouped_elements_out,
|  | size_t * | min_output_buffer_size
| ) |  |

int fvm_writer_field_helper_step_e | ( | fvm_writer_field_helper_t * | helper,
|  | const fvm_writer_section_t * | export_section,
|  | int | src_dim,
|  | int | src_dim_shift,
|  | cs_interlace_t | src_interlace,
|  | int | n_parent_lists,
|  | const cs_lnum_t | parent_num_shift[],
|  | cs_datatype_t | datatype,
|  | const void *const | field_values[],
|  | void * | output_buffer,
|  | size_t | output_buffer_size,
|  | size_t * | output_size
| ) |  |

int fvm_writer_field_helper_step_n | ( | fvm_writer_field_helper_t * | helper,
|  | const fvm_nodal_t * | mesh,
|  | int | src_dim,
|  | int | src_dim_shift,
|  | cs_interlace_t | src_interlace,
|  | int | n_parent_lists,
|  | const cs_lnum_t | parent_num_shift[],
|  | cs_datatype_t | datatype,
|  | const void *const | field_values[],
|  | void * | output_buffer,
|  | size_t | output_buffer_size,
|  | size_t * | output_size
| ) |  |